<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<backCap>
    <tag key="HAL_CUSTOM_NORMALIZED_ZOOM_RATIO_VALUE" type="int32_t">
        <value>84</value>
    </tag>
    <tag key="HAL_CUSTOM_ZSL_SUPPORTED" type="uint8_t">
        <value type="string2Enum">CAMERA_CUSTOM_ZSL_POWERSAVE</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_RECORDER_ZSL_MODE" type="uint8_t">
        <value type="string2Enum">CAMERA_CUSTOM_ZSL_POWERSAVE</value>
    </tag>
    <tag key="HAL_PRIVATE_SEEKING_EXTCOUNT_COMBINATION" type="int32_t">
        <value type="string2Enum">SNAPSHOT_MODE_SINGLE</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">SNAPSHOT_MODE_MULTIDENOISE</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">SNAPSHOT_MODE_DIGITALZOOM</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">SNAPSHOT_MODE_OPTICALZOOM</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">SNAPSHOT_MODE_MONO</value>
        <value>0</value>
        <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_FOCUS_ROI_SUPPORT" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_ALLRESOLUTION_DYNAMICFPS_SUPPORTED" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_REAR_NORMAL_VIDEO_DYNAMIC_FPS_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_SUPPORTED_ALGOSVE_SCENE" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_4K_VIDEO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE_MACRO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO_MACRO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
    </tag>
    <tag key="HAL_PRIVATE_CAPTURE_SM_TYPE" type="int32_t">
        <value type="string2Enum">CAPTURE_SEEK_GYRO</value>
    </tag>
    <tag key="HAL_CUSTOM_SUPER_SLOWMOTION_SUPPORTED" type="uint8_t">
        <value>2</value>
    </tag>
    <tag key="HAL_PRIVATE_SUPER_SLOWMOTION_QUEUE_SIZE" type="uint8_t">
        <value>30</value>
        <value>0</value>
        <value>64</value>
        <value>3</value>
        <value>30</value>
        <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_STABILIZATION_AVAILABLE_CONFIGURATIONS" type="int32_t">
        <value>3840</value>
        <value>2160</value>
        <value>30</value>
        <value>3840</value>
        <value>2160</value>
        <value>60</value>
        <value>2560</value>
        <value>1080</value>
        <value>30</value>
        <value>2560</value>
        <value>1080</value>
        <value>60</value>
        <value>2512</value>
        <value>1080</value>
        <value>30</value>
        <value>2512</value>
        <value>1080</value>
        <value>60</value>
        <value>1920</value>
        <value>1080</value>
        <value>30</value>
        <value>1920</value>
        <value>1080</value>
        <value>60</value>
        <value>1280</value>
        <value>720</value>
        <value>30</value>
        <value>1280</value>
        <value>720</value>
        <value>60</value>
    </tag>
    <tag key="HAL_CUSTOM_EIS_GPU_VIDEO_SIZE_SUPPORT_DELAY_CONFIGURATIONS" type="int32_t">
        <value>3840</value>
        <value>2160</value>
        <value>60</value>    <!--4k 60fps-->
        <value>3840</value>
        <value>2160</value>
        <value>30</value>    <!--4k 30fps-->
        <value>2560</value>
        <value>1080</value>
        <value>60</value>    <!--1080p 21:9@60-->
        <value>2560</value>
        <value>1080</value>
        <value>30</value>    <!--1080p 21:9@30-->
        <value>1920</value>
        <value>1080</value>
        <value>60</value>    <!--1080p@60-->
        <value>1920</value>
        <value>1080</value>
        <value>30</value>    <!--1080p@30-->
        <value>1280</value>
        <value>720</value>
        <value>60</value>    <!--720p@60-->
        <value>1280</value>
        <value>720</value>
        <value>30</value>    <!--720p@30-->
        <value>2512</value>
        <value>1080</value>
        <value>60</value>    <!--full screen@60-->
        <value>2512</value>
        <value>1080</value>
        <value>30</value>    <!--full screen@30-->
    </tag>
    <tag key="HAL_PRIVATE_OPTIMIZE_MAX_ENQ_REQ_CNT_CONFIG_FOR_VIDEO" type="uint32_t">
        <value>2560</value>
        <value>1080</value>
        <value>30</value>    <!--1080p 21:9@30-->
        <value>1920</value>
        <value>1080</value>
        <value>30</value>    <!--1080p@30-->
        <value>2512</value>
        <value>1080</value>
        <value>30</value>    <!--full screen@30-->
    </tag>
    <tag key="HAL_CUSTOM_METADATA_STREAM_SUPPORTED" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_3D_MODEL_SUPPORTED" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="CAMERA_SCALER_AVAILABLE_MAX_DIGITAL_ZOOM" type="float">
        <value>10.0</value>
    </tag>
    <tag key="HAL_PRIVATE_MAX_ZOOM_RATIO" type="float">
        <value>10.2</value>
        <value>0.84</value>
        <value>60.2</value>
    </tag>
    <tag key="HAL_PRIVATE_MCM_ZOOMRATIO_ADAPT_SUPPORT" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_AF_THIRD_AVAILABLE_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_OFF</value>
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_AUTO</value>
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_MACRO</value>
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_CONTINUOUS_VIDEO</value>
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_CONTINUOUS_PICTURE</value>
    </tag>
    <tag key="HAL_PRIVATE_VIDEO_SENSOR_SUPPORTED" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="HAL_PRIVATE_OPTICAL_FLOW_DMAP_STAT_SIZE" type="int32_t">
        <value>1024</value>
    </tag>
    <tag key="HAL_CUSTOM_TELE_EIS_FORCE_SWITCH_THRESHOLD" type="float">
        <value>8.3333</value>
    </tag>
    <tag key="HAL_PRIVATE_SEAMLESS_FPS_LIMIT" type="int32_t">
        <value>24</value>
        <value>0</value>
        <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_NEED_VBLANK_MODE_RESOLUTION" type="int32_t">
        <value>2512</value>
        <value>1080</value>
    </tag>
    <tag key="HAL_PRIVATE_ALGO_AE_LV_DIFFERENCE" type="int32_t">
        <value>15</value>
    </tag>

    <tag key="HAL_CUSTOM_PREPARE_CAPTURE_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_AVAILABLE_DEPTH_STREAM_CONFIGURATIONS" type="int32_t">
        <value>960</value>
        <value>540</value>
        <value type="string2Enum">CAMERA_CUSTOM_DMAP_10_BIT</value>
        <value>720</value>
        <value>540</value>
        <value type="string2Enum">CAMERA_CUSTOM_DMAP_10_BIT</value>
        <value>640</value>
        <value>360</value>
        <value type="string2Enum">CAMERA_CUSTOM_DMAP_10_BIT</value>
        <value>480</value>
        <value>360</value>
        <value type="string2Enum">CAMERA_CUSTOM_DMAP_10_BIT</value>
        <value>960</value>
        <value>540</value>
        <value type="string2Enum">CAMERA_CUSTOM_DMAP_8_BIT</value>
        <value>720</value>
        <value>540</value>
        <value type="string2Enum">CAMERA_CUSTOM_DMAP_8_BIT</value>
        <value>640</value>
        <value>360</value>
        <value type="string2Enum">CAMERA_CUSTOM_DMAP_8_BIT</value>
        <value>480</value>
        <value>360</value>
        <value type="string2Enum">CAMERA_CUSTOM_DMAP_8_BIT</value>
    </tag>
    <tag key="HAL_CUSTOM_HIGH_RES_VIDEO_PROCESSED_SIZES_AND_DURATION" type="int32_t">
        <value>3840</value>
        <value>2160</value>
        <value>33331760</value>
    </tag>
    <tag key="HAL_CUSTOM_INTERRUPTED_TAF_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SKETCH_PREVIEW_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SKETCH_PREVIEW_RATIO_IN_MOON" type="uint8_t">
        <value>10</value>
    </tag>
    <tag key="HAL_CUSTOM_TELE_EIS_THRESHOLD_IN_MOON" type="float">
        <value>6.6</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_DYNAMIC_FPS_SUPPORTED" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
        <value>1920</value>
        <value>1080</value>
        <value>60</value>
        <value>23</value>
        <value>60</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
        <value>3840</value>
        <value>2160</value>
        <value>60</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
        <value>2512</value>
        <value>1080</value>
        <value>60</value>
        <value>23</value>
        <value>60</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
        <value>2560</value>
        <value>1080</value>
        <value>60</value>
        <value>23</value>
        <value>60</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
        <value>1280</value>
        <value>720</value>
        <value>60</value>
        <value>23</value>
        <value>60</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
        <value>1920</value>
        <value>1080</value>
        <value>60</value>
        <value>23</value>
        <value>60</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
        <value>3840</value>
        <value>2160</value>
        <value>60</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
        <value>2512</value>
        <value>1080</value>
        <value>60</value>
        <value>23</value>
        <value>60</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
        <value>2560</value>
        <value>1080</value>
        <value>60</value>
        <value>23</value>
        <value>60</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
        <value>1280</value>
        <value>720</value>
        <value>60</value>
        <value>23</value>
        <value>60</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_AI_MOVIE_APERTURE_VIDEO</value>
        <value>1920</value>
        <value>1080</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_AI_MOVIE_APERTURE_VIDEO</value>
        <value>2512</value>
        <value>1080</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_AI_MOVIE_APERTURE_VIDEO</value>
        <value>2560</value>
        <value>1080</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_AI_MOVIE_APERTURE_VIDEO</value>
        <value>1280</value>
        <value>720</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>1</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
        <value>1920</value>
        <value>1080</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
        <value>3840</value>
        <value>2160</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
        <value>2512</value>
        <value>1080</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
        <value>2560</value>
        <value>1080</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
        <value>1280</value>
        <value>720</value>
        <value>30</value>
        <value>23</value>
        <value>30</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
    </tag>
    <tag key="HAL_PRIVATE_MULTI_SENSOR_RAW_CAM_LIST" type="uint8_t">
        <value>6</value>        <!-- CAMERA_HW_MULTI_CAMERA_FIRST | CAMERA_HW_MULTI_CAMERA_SECOND -->
        <value>8</value>        <!-- CAMERA_HW_MULTI_CAMERA_THIRD -->
    </tag>
    <tag key="HAL_CUSTOM_SUPPORTED_COLOR_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_CUSTOM_COLOR_NORMAL</value>
        <value type="string2Enum">CAMERA_CUSTOM_COLOR_BRIGHT</value>
        <value type="string2Enum">CAMERA_CUSTOM_COLOR_SOFT</value>
    </tag>
    <tag key="HAL_PRIVATE_DMAP_MAX_DROP_COUNT" type="uint8_t">
        <value>4</value>
    </tag>
    <tag key="HAL_PRIVATE_CAPTURE_POINTOLITE_TYPE" type="int32_t">
        <value type="string2Enum">CAPTURE_SEEK_GYRO</value>
    </tag>
    <tag key="HAL_PRIVATE_CAPTURE_OZ_SM_TYPE" type="int32_t">
        <value type="string2Enum">CAPTURE_SEEK_CONTRAST</value>
    </tag>
    <tag key="HAL_CUSTOM_PORTRAIT_MODE_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_PROFESSIONAL_MODE_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_SENSOR_QUAD_TYPE_ARRAY" type="uint32_t">
        <value type="string2Enum">SST_2_2</value>
        <value type="string2Enum">SST_NULL</value>
        <value type="string2Enum">SST_NULL</value>
        <value type="string2Enum">SST_NULL</value>
    </tag>
    <tag key="HAL_PRIVATE_CROP_OFFSET_SUPPORTED_SCENES" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_MONO_CAPTURE</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_BURST</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PERFORMANCE_CAPTURE</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_CAMERA_DEFAULT</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_WATER_MARK</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_DOCUMENT_SCAN</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_MOVING_PICTURE</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_INVALID</value>
    </tag>
    <tag key="HAL_PRIVATE_DCM_MAIN_TELE_POS" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_OBLIQUE</value>
    </tag>
    <tag key="HAL_PRIVATE_DCM_MAIN_WIDE_POS" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_VERTICAL</value>
    </tag>
    <!-- 如果DCM场景下Dmap-y依赖FERAW出，则存在冲突 -->
    <tag key="HAL_PRIVATE_STREAM_BUFFER_MULTIPLEXING_SUPPORTED" type="int32_t">
        <!-- <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO_VIDEO</value> -->
        <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_VIDEO</value>
    </tag>
    <tag key="HAL_PRIVATE_WIRELESS_CHARGER_CONFLICT_SOLUTION" type="uint32_t">
        <value>3</value>
        <value>252</value>
    </tag>
    <tag key="HAL_PRIVATE_PREPROC_AWB_AP_COLORSYNC_SUPPORT" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_PREPROC_COLORSYNC_OFF_SCENES" type="int32_t">
        <value type="string2Enum">CAMERA_PRIVATE_SM_TIMELAPSE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_TIMELAPSE_RESTART_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_RESTART_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_RAW_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_HIGH_SPEED</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SLOW_MOTION_OFFLINE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SLOW_MOTION_ONLINE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO_VIDEO_60FPS</value>
    </tag>
    <tag key="HAL_PRIVATE_LASER_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_EIS_SCENEMODE_SUPPORTED" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_MOVING_PICTURE</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_BURST</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_PERFORMANCE_CAPTURE</value>
    </tag>
    <tag key="HAL_PRIVATE_SUPER_MACRO_MAX_ZOOM_RATIO" type="float">
        <value>10.0</value>
    </tag>
    <tag key="HAL_PRIVATE_SEAMLESS_QR_SCENE_SUPPORT" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_MONO_PROFESSIONAL</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_4K_AI_ULTRA_CLARITY</value>
        <value type="string2Enum">CAMERA_CUSTOM_SM_ULTRA_HIGH_RES</value>
    </tag>
    <tag key="HAL_PRIVATE_ZOOM_LATENCY_OPTIMIZATION_SCENES" type="int32_t">
        <!--should also modify tag HAL_PRIVATE_LATENCY_OPTIMIZATION_MARGIN_RATIO-->
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_RESTART_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_MOVING_PICTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_MONO_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_BURST</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_FOV_FUSION</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PERFORMANCE_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_DUAL</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_SINGLE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_CAMERA_DEFAULT</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_CAR</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_LIGHT</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_WATER</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_STAR</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_WATER_MARK</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_DOCUMENT_SCAN</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_ULTRA_HIGH_RES</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PANORAMA</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_CAPTURE</value>
    </tag>
    <tag key="HAL_PRIVATE_ZOOMING_LATENCY_OPTIMIZATION_MARGIN_DISABLE_SCENES" type="int32_t">
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_VIDEO</value>
    </tag>
    <tag key="HAL_PRIVATE_ZOOM_LATENCY_ONLY_FOR_DYTONE" type="int32_t">
        <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_DUAL</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_SINGLE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_CAMERA_DEFAULT</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_CAR</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_LIGHT</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_WATER</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_STAR</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_WATER_MARK</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_DOCUMENT_SCAN</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_ULTRA_HIGH_RES</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PANORAMA</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_CAPTURE</value>
    </tag>
    <tag key="HAL_PRIVATE_DYTONE_SCENE_SUPPORT_LIST" type="int32_t">
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_DUAL</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_SINGLE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PERFORMANCE_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_CAMERA_DEFAULT</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_CAR</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_LIGHT</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_WATER</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_LIGHT_PAINTING_STAR</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_WATER_MARK</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_DOCUMENT_SCAN</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_ULTRA_HIGH_RES</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_MOVING_PICTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PANORAMA</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_CAPTURE</value>
    </tag>
    <tag key="HAL_CUSTOM_FULLRESOLUTION_SUPPORT_FEATURE" type="int32_t">
        <value>30</value>
    </tag>
    <tag key="HAL_PRIVATE_MASTER_SUPER_NIGHT_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_MULTICAM_ASYNC_FPS_SCENES" type="int32_t">
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO_60FPS</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO_60FPS</value>
    </tag>
    <tag key="HAL_CUSTOM_MACRO_PRO_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_MACRO_TELE_SUPPORTED" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_SUPER_MACRO_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_MACRO_VIDEO_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_MACRO_MF_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_PIP_HOT_TEMPERATURE_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_MACRO_WIDE_SKETCH_RECT_RATIO" type="float">
        <value>1.0</value>
    </tag>
    <tag key="HAL_CUSTOM_MACRO_TELE_SKETCH_RECT_RATIO" type="float">
        <value>1.0</value>
    </tag>
    <tag key="HAL_CUSTOM_MACRO_TELE_MIN_FOCUS_RANGE" type="int32_t">
        <value>5</value>
    </tag>
    <tag key="HAL_CUSTOM_MACRO_SKETCH_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_AI_ULTRA_CLARITY_SIZE" type="int32_t">
        <value>8192</value>
        <value>6144</value>
    </tag>
    <tag key="HAL_CUSTOM_TARGET_ZOOM_RATIO_SUPPORTED" type="uint8_t">
      <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_VIDEO_CLICK_ZOOM_SMOOTH_SUPPORTED" type="uint8_t">
      <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SMOOTH_ZOOM_SUPPORTED" type="uint8_t">
      <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SPECIAL_ZOOM_CAPTURE_SUPPORTED" type="uint8_t">
      <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_DISTANCE_CONFIDENCE_RATIO" type="float">
        <value>1.2</value>
        <value>1.5</value>
    </tag>
    <tag key="HAL_PRIVATE_STD_XYZ_INFO_SIZE" type="uint32_t">
        <value>76832</value> <!-- 2401 * 8 * sizeof(float) -->
    </tag>
    <!-- open close blending here -->
    <tag key="HAL_PRIVATE_SUPPORTED_BLENDING_SCENE" type="int32_t">
        <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE</value>
    </tag>
    <tag key="HAL_PRIVATE_BLENDING_FRAME_COUNT" type="int32_t">
        <value>13</value>
    </tag>
    <tag key="HAL_PRIVATE_MAIN_TELE_DELAY_FRAME_NUM" type="uint8_t">
        <value>20</value>
    </tag>
    <tag key="HAL_CUSTOM_HAL_DYNAMIC_DELAYMS" type="uint32_t">
        <value>1000</value>
    </tag>
</backCap>
